

Name:           opendoas
Version:        6.8.1
Release:        1%{?dist}
Summary:        Portable fork of the OpenBSD's doas command

License:        ISC
URL:            https://github.com/Duncaen/OpenDoas
Source0:        %url/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        doas.conf
# Remove chown from Makefile install as it is not permitted in mock
Patch0:         01-patch-makefile-to-remove-chown.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  byacc

Provides:       doas = %{version}-%{release}

%description
doas is a minimal replacement for the venerable sudo. It was initially written
by Ted Unangst of the OpenBSD project to provide 95% of the features of sudo
with a fraction of the codebase.

%prep
%autosetup -p1

%build
%set_build_flags
# Non standard build script
./configure --prefix=%{_prefix} --with-timestamp
%make_build

%install
%make_install
install -m 0755 -vd              %{buildroot}%{_sysconfdir}
install -m 0644 -vp %{SOURCE1}   %{buildroot}%{_sysconfdir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/doas
%config(noreplace) %{_sysconfdir}/doas.conf
%{_mandir}/man1/doas.1*
%{_mandir}/man5/doas.conf.5*

%changelog
* Wed Jan 27 01:04:53 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 6.8.1-1
- Initial package
